Summary: 	SSL2, SSL3, and TLS1 encryption extensions for TCL
Name: 		tcltls
Version: 	1.6.7
Release: 	%mkrel 3
License: 	BSD
Group: 		System/Libraries
URL: 		http://tls.sourceforge.net/
Source0:	http://downloads.sourceforge.net/tls/tls%{version}-src.tar.gz
Patch0:		tcltls-1.6-simpleclient.patch
BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(openssl)

Requires:	tcl >= 8.6
Requires:	openssl
Provides:	tcl-tls = %{version}-%{release}

%description 
Provides SSL2, SSL3, and TLS1 socket encryption functionality
to the TCL interpreted language.

%package	devel
Summary:	SSL2, SSL3, and TLS1 encryption extensions for TCL
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Provides:	tcl-tls-devel = %{version}-%{release}

%description	devel
Provides SSL2, SSL3, and TLS1 socket encryption functionality
to the TCL interpreted language. Development headers.

%prep
%setup -q -n tls%{version}
%patch0 -p1 -b .simpleclient

%build
%configure2_5x \
    --enable-shared \
    --disable-rpath \
    --with-gcclib \
    --with-ssl-dir=%{_prefix} \
    --with-tcl=%{_libdir}

%make

%check
make test

%install
%make_install libdir=%{tcl_sitearch} includedir=%{_includedir}

%files
%doc ChangeLog README.txt license.terms tls.htm
%{tcl_sitearch}/tls%{version}

%files devel
%{_includedir}/tls.h


%changelog
* Thu Mar 03 2016 umeabot <umeabot> 1.6.7-3.mga6
+ Revision: 984462
- Rebuild for openssl
- Mageia 6 Mass Rebuild

* Fri Nov 27 2015 daviddavid <daviddavid> 1.6.7-1.mga6
+ Revision: 906398
- new version: 1.6.7
- rebuild for new tcl 8.6.4
- requires tcl 8.6
- remove no more needed patches 1 and 2

* Wed Oct 15 2014 umeabot <umeabot> 1.6-8.mga5
+ Revision: 742949
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6-7.mga5
+ Revision: 689746
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.6-6.mga4
+ Revision: 519500
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.6-5.mga3
+ Revision: 384161
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 1.6-4.mga3
+ Revision: 345425
- do not promote empty flags

* Sun Dec 04 2011 wally <wally> 1.6-4.mga2
+ Revision: 176051
- rebuild for new tcl
- add some generic provides
- clean .spec a bit

* Sun Jan 23 2011 pterjan <pterjan> 1.6-3.mga1
+ Revision: 35277
- imported package tcltls


* Mon Apr 12 2010 Funda Wang <fwang@mandriva.org> 1.6-3mdv2010.1
+ Revision: 533637
- rebuild

* Sun Feb 21 2010 Funda Wang <fwang@mandriva.org> 1.6-2mdv2010.1
+ Revision: 509185
- clean spec
- rediff openssl patch

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Dec 05 2008 Adam Williamson <awilliamson@mandriva.org> 1.6-1mdv2009.1
+ Revision: 310130
- move to new location per policy
- sync patches with fedora
- dump the whole libification, tcl modules are not shared libraries
- new release 1.6

* Sat Aug 02 2008 Thierry Vignaud <tv@mandriva.org> 1.5.0-6mdv2009.0
+ Revision: 261432
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.5.0-5mdv2009.0
+ Revision: 254233
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.5.0-3mdv2008.1
+ Revision: 140918
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jun 12 2007 Adam Williamson <awilliamson@mandriva.org> 1.5.0-3mdv2008.0
+ Revision: 38329
- correct pkgIndex.tcl (fixes amsn with TCL 8.5)


* Fri Jan 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-2mdv2007.0
+ Revision: 113894
- Import tcltls

* Fri Jan 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-2mdv2007.1
- rebuild

* Fri Dec 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-1mdk
- initial Mandriva package
- added P0 from debian

* Sat Nov 26 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 
- First release

